﻿using DapperORM.Models;
using PushPlatform.Common.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Act.Models.Tables
{
    /// <summary>
    /// 用户选定的消息推送设置
    /// </summary>
    public class Map_Project_Push : BaseModel
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        public Map_Project_Push() { }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="mapProjectPush">core层的数据对象</param>
        public Map_Project_Push(PushInfo.Core.Models.Tables.Map_Project_Push mapProjectPush)
        {
            ObjectHelper.CopyProperties(mapProjectPush, this);
        }

        /// <summary>
        /// 推送任务描述
        /// </summary>
        public System.String Name_Des { get; set; }
        /// <summary>
        /// sys_user表的Id
        /// </summary>
        public System.String Push_Id { get; set; }
        /// <summary>
        /// 推送的子系统Id
        /// </summary>
        public System.String PushSys_ProId { get; set; }
        /// <summary>
        /// 项目的Id
        /// </summary>

        public System.String Project_Id { get; set; }
        /// <summary>
        /// 推送对象
        /// </summary>

        public System.String Push_Target { get; set; }
        /// <summary>
        /// 推送方式0:短信 1:APP
        /// </summary>

        public string Push_Style { get; set; }
        /// <summary>
        /// 推送标签
        /// </summary>
        public string Push_TagId { get; set; }
        /// <summary>
        /// 推送title
        /// </summary>

        public System.String Push_Title { get; set; }
        /// <summary>
        /// 推送Body
        /// </summary>

        public System.String Push_Body { get; set; }
        /// <summary>
        /// 推送方式一次，日，周，月
        /// </summary>

        public System.Int32? Push_Type { get; set; }
        /// <summary>
        /// 推送周期
        /// </summary>

        public System.Int32? Push_Cycle { get; set; }
        /// <summary>
        /// 推送月份1,2  1月,2月推送
        /// </summary>

        public System.String Push_Month { get; set; }
        /// <summary>
        /// 推送订周几，几号推送周一，周二/2号，5号
        /// </summary>

        public System.String Push_Which { get; set; }
        /// <summary>
        /// 推送数据来源
        /// </summary>

        public System.String Push_Action { get; set; }
        /// <summary>
        /// 推送数据来源方式
        /// </summary>

        public System.Int32? Push_ActionType { get; set; }
        /// <summary>
        /// ios跳转
        /// </summary>

        public System.String Push_IosLink { get; set; }
        /// <summary>
        /// and跳转
        /// </summary>

        public System.String Push_AndLink { get; set; }
        /// <summary>
        /// web跳转
        /// </summary>

        public System.String Push_WebLink { get; set; }
        /// <summary>
        /// 推送连接数据库Id
        /// </summary>
        public System.String Db_ConnectId { get; set; }
        /// <summary>
        /// 微信模板消息的模板表Id
        /// </summary>
        public System.String Wx_MsmodelId { get; set; }
        /// <summary>
        /// 下次执行的时间
        /// </summary>
        public DateTime Exec_Time { get; set; }
        /// <summary>
        /// 任务状态
        /// </summary>
        public int Exec_Status { get; set; }
        /// <summary>
        /// 触发器的唯一Key
        /// </summary>
        public string Trigger_Key { get; set; }
    }
}
